# Class JComponent.AccessibleJComponent.AccessibleContainerHandler

java.lang.Object
javax.swing.JComponent.AccessibleJComponent.AccessibleContainerHandler

All Implemented Interfaces:
  `ContainerListener, EventListener`

Enclosing class:
  `JComponent.AccessibleJComponent`

protected class JComponent.AccessibleJComponent.AccessibleContainerHandler extends Object implements ContainerListener
Fire PropertyChange listener, if one is registered, when children added/removed.

Since:
  1.2

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AccessibleContainerHandler()`
  Constructs an `AccessibleContainerHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `componentAdded(ContainerEvent e)`
  Invoked when a component has been added to the container.
  `void`
  `componentRemoved(ContainerEvent e)`
  Invoked when a component has been removed from the container.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccessibleContainerHandler

    protected AccessibleContainerHandler()
    Constructs an `AccessibleContainerHandler`.

- ## Method Details

  - ### componentAdded

    public void componentAdded(ContainerEvent e)
    Description copied from interface: `ContainerListener`
    Invoked when a component has been added to the container.
    Specified by:
      `componentAdded` in interface `ContainerListener`
    Parameters:
      `e` - the event to be processed

  - ### componentRemoved

    public void componentRemoved(ContainerEvent e)
    Description copied from interface: `ContainerListener`
    Invoked when a component has been removed from the container.
    Specified by:
      `componentRemoved` in interface `ContainerListener`
    Parameters:
      `e` - the event to be processed